Subject: Re: Unmapping pages from the linear addressing without HIGHMEM support

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 11 Mar 2006 10:12:31 +1100

On Fri, 2006-03-10 at 07:59 -0500, Dan Malek wrote:
> On Mar 10, 2006, at 4:09 AM, Gerhard Pircher wrote:
> 
> > That would mean I cannot reuse the code in dma-mapping.c, right?
> 
> Sure you can.  All you need to do is turn of BAT mapping, which
> is as easy as using the 'nobats' command line parameter and
> all of this code should just work for you.

And the kernel will blow up in flames under various funny circumstances
and you'll lose a fair amount of performances.

The 6xx kernel requires at least the IBAT mapping the kernel text. Some
of the exception handling code path can't deal with getting a hash fault
at critical locations (they can mostly deal with data hash misses
nowadays, but the code has to be accessible at all times).

> > ...   but I guess I have to setup my own page table for the reserved
> > DMA memory area and implement my own alloc_pages() function!?
> 
> No, that's already done for you behind all of these functions.
> 
> Thanks.
> 
> 	-- Dan
> 
>